Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QUuid.Variant

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QUuid.Variant

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QUuid

    public static final class QUuid.Variant

extends java.lang.Enum
implements QtEnumerator

This enum defines the values used in the `variant field` of the UUID. The value in the variant field determines the layout of the 128-bit value.

See Also:
  Serialized Form

Field Summary
`static QUuid.Variant` | `DCE` Distributed Computing Environment, the scheme used by `QUuid`
`static QUuid.Variant` | `Microsoft` Reserved for Microsoft backward compatibility (GUID)
`static QUuid.Variant` | `NCS` Reserved for NCS (Network Computing System) backward compatibility
`static QUuid.Variant` | `Reserved` Reserved for future definition
`static QUuid.Variant` | `VarUnknown` Variant is unknown

Method Summary
`static QUuid.Variant` | `resolve(int value)` Returns the QUuid$Variant constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QUuid.Variant` | `valueOf(java.lang.String name)`
`static QUuid.Variant[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VarUnknown

    public static final QUuid.Variant VarUnknown

  Variant is unknown

### NCS

    public static final QUuid.Variant NCS

  Reserved for NCS (Network Computing System) backward compatibility

### DCE

    public static final QUuid.Variant DCE

  Distributed Computing Environment, the scheme used by `QUuid`

### Microsoft

    public static final QUuid.Variant Microsoft

  Reserved for Microsoft backward compatibility (GUID)

### Reserved

    public static final QUuid.Variant Reserved

  Reserved for future definition

Method Detail

### values

    public static QUuid.Variant[] values()

### valueOf

    public static QUuid.Variant valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QUuid.Variant resolve(int value)

  Returns the QUuid$Variant constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD